{{ ansible_managed|comment }}

[Unit]
Description=Junos Exporter {{ junos_exporter__release }}
Wants=network-online.target
After=network-online.target

[Service]
Type=simple
Restart=always
User={{ junos_exporter__user }}
Group={{ junos_exporter__group }}
EnvironmentFile={{ junos_exporter__env_path }}
WorkingDirectory={{ junos_exporter__working_dir }}
ExecStart={{ junos_exporter__binary_path }} \
  --config.file={{ junos_exporter__config_file }} \
  --web.listen-address={{ junos_exporter__web_listen_address }} \
  --web.telemetry-path={{ junos_exporter__web_telemetry_path }}
TimeoutStopSec=20s
SendSIGKILL=no

[Install]
WantedBy=multi-user.target

